VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form Form1 
   Caption         =   "Hi65 Launch Tool"
   ClientHeight    =   5430
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   3510
   Icon            =   "hi65_frontend.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   5430
   ScaleWidth      =   3510
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame Frame4 
      Caption         =   "Event box"
      Height          =   615
      Left            =   120
      TabIndex        =   7
      Top             =   4680
      Width           =   3255
      Begin VB.Label Label1 
         Caption         =   "Welcome!"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   255
         Left            =   240
         TabIndex        =   8
         Top             =   240
         Width           =   2775
      End
   End
   Begin VB.Frame Frame3 
      Caption         =   "Petcat"
      Height          =   1935
      Left            =   120
      TabIndex        =   4
      Top             =   2520
      Width           =   3255
      Begin VB.ComboBox Combo2 
         Height          =   315
         Left            =   120
         TabIndex        =   6
         Top             =   360
         Width           =   3015
      End
      Begin VB.CommandButton Command3 
         Caption         =   "Selct .txt file and tokenize it into .prg file"
         Height          =   855
         Left            =   120
         Picture         =   "hi65_frontend.frx":000C
         Style           =   1  'Graphical
         TabIndex        =   5
         Top             =   840
         Width           =   3015
      End
   End
   Begin VB.Frame Frame2 
      Caption         =   "Resolution"
      Height          =   975
      Left            =   120
      TabIndex        =   2
      Top             =   1320
      Width           =   3255
      Begin VB.ComboBox Combo1 
         Height          =   315
         ItemData        =   "hi65_frontend.frx":044E
         Left            =   240
         List            =   "hi65_frontend.frx":0450
         Style           =   2  'Dropdown List
         TabIndex        =   3
         Top             =   360
         Width           =   2655
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   "Main"
      Height          =   1215
      Left            =   120
      TabIndex        =   0
      Top             =   0
      Width           =   3255
      Begin VB.CommandButton Command1 
         Caption         =   "Select .prg file and launch Hi65"
         Height          =   735
         Left            =   240
         Picture         =   "hi65_frontend.frx":0452
         Style           =   1  'Graphical
         TabIndex        =   1
         Top             =   240
         Width           =   2655
      End
   End
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   2880
      Top             =   2160
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
      CancelError     =   -1  'True
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Public quiet As Boolean

Private Sub Combo1_Click()
    If quiet = False Then
        Open "hi65.cfg" For Binary As #1
        Put #1, 1, Combo1.ListIndex
        Close #1
        Label1.Caption = "Resolution changed."
    End If
End Sub

Private Sub Command1_Click()
    On Error Resume Next
    
    CommonDialog1.FileName = ""
    Label1.Caption = "Select .prg file to run"
    CommonDialog1.Filter = "Tokenized BASIC 10 files (*.prg)|*.prg|All Files (*.*)|*.*"
    CommonDialog1.ShowOpen
    If Err.Number = cdlCancel Then
        ' The user canceled.
        Label1.Caption = "You selected Cancel."
        Exit Sub
    ElseIf Err.Number <> 0 Then
        ' Unknown error.
        MsgBox "Error " & Format$(Err.Number) & _
            " selecting file." & vbCrLf & _
            Err.Description
        Label1.Caption = "Something went wrong."
        Exit Sub
    End If
    
    'Launch Hi65 with the selected BASIC 10 program
    commandline = "hi65 " + CommonDialog1.FileName
    Label1.Caption = "Starting Hi65..."
    Shell commandline
End Sub

Private Sub Command3_Click()
    On Error Resume Next
    
    CommonDialog1.FileName = ""
    Label1.Caption = "Select .txt file to tokenize"
    CommonDialog1.Filter = "Text files (*.txt)|*.txt|All Files (*.*)|*.*"
    CommonDialog1.ShowOpen
    If Err.Number = cdlCancel Then
        ' The user canceled.
        Label1.Caption = "You selected Cancel."
        Exit Sub
    ElseIf Err.Number <> 0 Then
        ' Unknown error.
        MsgBox "Error " & Format$(Err.Number) & _
            " selecting file." & vbCrLf & _
            Err.Description
        Label1.Caption = "Something went wrong."
        Exit Sub
    End If
    
    'Launch Petcat and tokenize the file
    Select Case Combo2.ListIndex
        Case "0"
            basicversion = "1"
        Case "1"
            basicversion = "2"
        Case "2"
            basicversion = "superexp"
        Case "3"
            basicversion = "turtle"
        Case "4"
            basicversion = "mighty"
        Case "5"
            basicversion = "a"
        Case "6"
            basicversion = "simon"
        Case "7"
            basicversion = "speech"
        Case "8"
            basicversion = "F"
        Case "9"
            basicversion = "ultra"
        Case "10"
            basicversion = "graph"
        Case "11"
            basicversion = "WSB"
        Case "12"
            basicversion = "WSBF"
        Case "13"
            basicversion = "Pegasus"
        Case "14"
            basicversion = "Xbasic"
        Case "15"
            basicversion = "Drago"
        Case "16"
            basicversion = "REU"
        Case "17"
            basicversion = "Lightning"
        Case "18"
            basicversion = "magic"
        Case "19"
            basicversion = "easy"
        Case "20"
            basicversion = "blarg"
        Case "21"
            basicversion = "Game"
        Case "22"
            basicversion = "BSX"
        Case "23"
            basicversion = "superbas"
        Case "24"
            basicversion = "exp20"
        Case "25"
            basicversion = "exp64"
        Case "26"
            basicversion = "sxc"
        Case "27"
            basicversion = "warsaw"
        Case "28"
            basicversion = "4v"
        Case "29"
            basicversion = "4 -w4e"
        Case "30"
            basicversion = "5"
        Case "31"
            basicversion = "3"
        Case "32"
            basicversion = "70"
        Case "33"
            basicversion = "71"
        Case "34"
            basicversion = "10"
    End Select
    commandline = "petcat -w" + basicversion + " -o " + Left(CommonDialog1.FileName, Len(CommonDialog1.FileName) - 3) + "prg -- " + CommonDialog1.FileName
    Shell commandline
    Label1.Caption = "The file has been tokenized."
End Sub

Private Sub Form_Load()
Dim resolution As Integer

    On Error Resume Next
    CommonDialog1.DialogTitle = "Open File"
    CommonDialog1.InitDir = App.Path
    CommonDialog1.FilterIndex = 1
    CommonDialog1.Flags = _
        cdlOFNFileMustExist + _
        cdlOFNHideReadOnly + _
        cdlOFNLongNames + _
        cdlOFNExplorer
    CommonDialog1.CancelError = True
    
    quiet = True
    Combo1.AddItem "640 x 400 (16:10)"
    Combo1.AddItem "640 x 480 (4:3)"
    Combo1.AddItem "800 x 600 (4:3)"
    Combo1.AddItem "1280 x 720 (16:9)"
    Combo1.AddItem "1280 x 800 (16:10)"
    
    Open "hi65.cfg" For Binary As #1
    Get #1, 1, resolution
    Close #1
    Combo1.ListIndex = resolution
    quiet = False
    
    Combo2.AddItem "PET Basic V1.0"
    Combo2.AddItem "Basic v2.0"
    Combo2.AddItem "Basic v2.0 with Super Expander"
    Combo2.AddItem "Basic v2.0 with Turtle Basic"
    Combo2.AddItem "Basic v2.0 with Mighty Basic"
    Combo2.AddItem "Basic v2.0 with AtBasic"
    Combo2.AddItem "Basic v2.0 with Simons' Basic"
    Combo2.AddItem "Basic v2.0 with Speech Basic v2.7"
    Combo2.AddItem "Basic v2.0 with Final Cartridge III"
    Combo2.AddItem "Basic v2.0 with Ultrabasic-64"
    Combo2.AddItem "Basic v2.0 with Graphics basic"
    Combo2.AddItem "Basic v2.0 with WS basic"
    Combo2.AddItem "Basic v2.0 with WS basic final"
    Combo2.AddItem "Basic v2.0 with Pegasus basic 4.0"
    Combo2.AddItem "Basic v2.0 with Xbasic"
    Combo2.AddItem "Basic v2.0 with Drago basic 2.2"
    Combo2.AddItem "Basic v2.0 with REU-basic"
    Combo2.AddItem "Basic v2.0 with Basic Lightning"
    Combo2.AddItem "Basic v2.0 with Magic Basic"
    Combo2.AddItem "Basic v2.0 with Easy Basic"
    Combo2.AddItem "Basic v2.0 with Blarg"
    Combo2.AddItem "Basic v2.0 with Game Basic"
    Combo2.AddItem "Basic v2.0 with Basex"
    Combo2.AddItem "Basic v2.0 with Super Basic"
    Combo2.AddItem "Basic 2.0 with Expanded Basic(VIC20)"
    Combo2.AddItem "Basic 2.0 with Expanded Basic(C64)"
    Combo2.AddItem "Basic 2.0 with Super Expander Chip"
    Combo2.AddItem "Basic 2.0 with Warsaw Basic"
    Combo2.AddItem "Basic 2.0 with Basic 4.0 extensions"
    Combo2.AddItem "PET Basic v4.0 program"
    Combo2.AddItem "Basic 2.0 with Basic 5.0 extensions"
    Combo2.AddItem "Basic v3.5 program"
    Combo2.AddItem "Basic v7.0 program"
    Combo2.AddItem "Basic v7.1 program"
    Combo2.AddItem "Basic v10.0 program (C65)"
    Combo2.ListIndex = 34
End Sub
